Subject: Re: bug#29684: exception printers - request for improvement

From: David Pirotte <[email-masked]>
Date: Fri, 3 Aug 2018 23:17:22 -0300

Hi Thomas,

> ...
> Hm. Applying the peanut gallery factor to my opinion (roughly 10e-7), I tend to
> side with David's position: the default consumer of REPL's print is a human, and
> feeding him/her with huge binary things isn't "tasty"...

> But... grain of salt, and things. What would be David's position's downsides?

If the change I'm proposing is implemented in such a way that it still offer,
through an option mechanism, to display several lines ... (and it has to be
implemented this way, as also spotted by Andy in a subsequent email), then
I fail to see any downsides.

Regards,
David